Subject: Re: bug#38715: Issue with guile-email: unbound variable

From: Ludovic Courtès <[email-masked]>
Date: Thu, 26 Dec 2019 19:18:01 +0100

Hi Chris,

Christopher Baines <[email-masked]> skribis:

> Jelle Licht <[email-masked]> writes:

[...]

>> I do not think it was that commit, as I found the offending commit:
>> c7b2b539802eaa3f969e212c98eb671a1a75e9f3
>>
>> This is the commit that adds mumimu to gnu/packages/mail.scm, as well as
>> to the inputs of mumi. Reverting this commit (at least) solves the issue
>> I had in the first mail.
>>
>> Could it be that the reference to guile-email in the version field of
>> mumimu created this issue?
>> --8<---------------cut here---------------start------------->8---
>> (version (git-version (package-version guile-email) revision commit))
>> --8<---------------cut here---------------end--------------->8---
>
> I also spotted this. It looks to me sort of like a copy/paste error, I'm
> not sure why this variant of mu would take the version of the
> guile-email package.
>
> Anyway, to work around this issue I've pushed [1], which just replaces
> the reference with the current value.
>
> 1: https://git.savannah.gnu.org/cgit/guix.git/commit/?id=03460d2bd327815535801e3780c224f91af9b445

My bad!  I copied the definition of ‘mumimu’ from Mumi itself and didn’t
pay enough attention.

The version number makes little sense anyway.  You did the right thing,
thank you, and apologies for the breakage!

Ludo’.